package org.example.game;

import javafx.application.Application;
import javafx.collections.FXCollections;
import javafx.scene.Scene;
import javafx.scene.control.*;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;
import org.apache.logging.log4j.Logger;
import org.apache.logging.log4j.LogManager;

public class Elemente extends Application {
    private final static Logger logger = LogManager.getLogger(Elemente.class);

    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage stage) throws Exception {
        VBox layout = new VBox(10);

        //Label
        Label label = new Label("Das ist eine Beschriftung");
        layout.getChildren().add(label);

        //Button
        Button button = new Button();
        button.setText("Hier Klicken");
        layout.getChildren().add(button);


        //Radio Button
        Label radioButtonText = new Label("Radio Button:");
        ToggleGroup gruppe = new ToggleGroup();
        RadioButton radioButton1 = new RadioButton("Entweder 1");
        radioButton1.setToggleGroup(gruppe);
        RadioButton radioButton2 = new RadioButton("Oder 2");
        radioButton2.setToggleGroup(gruppe);

        layout.getChildren().addAll(radioButtonText, radioButton1, radioButton2);

        //Toggle Button
        Label toggleButtonText = new Label("Toggle Button:");
        ToggleGroup toggleGroup = new ToggleGroup();
        ToggleButton toggleGroup1 = new ToggleButton("Möglichkeit 1");
        toggleGroup1.setSelected(true);
        toggleGroup1.setToggleGroup(toggleGroup);
        ToggleButton toggleGroup2 = new ToggleButton("Möglichkeit 2");
        toggleGroup2.setToggleGroup(toggleGroup);

        layout.getChildren().addAll(toggleButtonText, toggleGroup1, toggleGroup2);

        //Check Box
        Label checkBoxText = new Label("Check Box:");
        CheckBox checkBox1 = new CheckBox("Auswahl 1");
        CheckBox checkBox2 = new CheckBox("Auswahl 2");

        layout.getChildren().addAll(checkBoxText, checkBox1, checkBox2);

        //Dropdown
        Label dropdownText = new Label("Dropdown:");
        ChoiceBox<String> choiceBox = new ChoiceBox<>(
                FXCollections.observableArrayList(
                        "Option 1", "Option 2", "Option 1"));
        choiceBox.getSelectionModel().selectFirst();

        layout.getChildren().addAll(dropdownText, choiceBox);


        //Textfeld
        Label textfeldText = new Label("Textfeld");
        TextField textFeld = new TextField("Hier den Text eingeben");
        layout.getChildren().addAll(textfeldText, textFeld);

        //Passwort
        Label passwortText = new Label("Passwort:");
        PasswordField passwort = new PasswordField();
        passwort.setPromptText("Passwort eingabe");
        layout.getChildren().addAll(passwortText, passwort);


        //Slider
        Label sliderText = new Label("Slider");
        Slider slider = new Slider();
        slider.setMin(0);
        slider.setMax(100);
        slider.setValue(20);
        slider.setShowTickLabels(true);
        slider.setShowTickMarks(true);


        layout.getChildren().addAll(sliderText, slider);


        Scene scene = new Scene(layout, 400,600);
        stage.setTitle("Hello HdM!");
        stage.setScene(scene);
        stage.show();
    }
}

